# std::array<T,N>::empty

From cppreference.com
< cpp‎ | container‎ | array

constexpr bool empty() const noexcept; |  | (since C++11) (until C++20)
[[nodiscard]] constexpr bool empty() const noexcept; |  | (since C++20)

Checks if the container has no elements, i.e. whether begin() == end().

### Parameters

(none)

### Return value

true if the container is empty, false otherwise

### Complexity

Constant.

### Example

The following code uses `empty` to check if a std::array contains any elements:

Run this code

    #include <array>
    #include <iostream>

    int main()
    {
        std::array<int, 4> numbers {3, 1, 4, 1};
        std::array<int, 0> no_numbers;

        std::cout << "numbers.empty(): " << numbers.empty() << '\n';
        std::cout << "no_numbers.empty(): " << no_numbers.empty() << '\n';
    }

Output:

    numbers.empty(): 0
    no_numbers.empty(): 1

### See also

size | returns the number of elements (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/array/empty&oldid=50436"